Debian Bug report logs - #591209
witty: does not build swf file from source

version graph

Package: src:witty; Maintainer for src:witty is Pau Garcia i Quiles <pgquiles@elpauer.org>;

Reported by: Raphael Geissert <geissert@debian.org>

Date: Sun, 1 Aug 2010 04:36:04 UTC

Severity: serious

Tags: fixed, patch

Found in version witty/3.1.2-2

Fixed in version witty/3.1.2-3

Done: Pau Garcia i Quiles <pgquiles@elpauer.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Pau Garcia i Quiles <pgquiles@elpauer.org>:
Bug#591209; Package src:witty. (Sun, 01 Aug 2010 04:36:06 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: witty: does not build swf file from source
Date: Sun, 1 Aug 2010 00:34:44 -0400
Source: witty
Version: 3.1.2-2
Severity: serious

Hi,

witty ships a swf file but does not build it from source.

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Information forwarded to debian-bugs-dist@lists.debian.org, Pau Garcia i Quiles <pgquiles@elpauer.org>:
Bug#591209; Package src:witty. (Thu, 05 Aug 2010 10:48:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.at>:
Extra info received and forwarded to list. Copy sent to Pau Garcia i Quiles <pgquiles@elpauer.org>. (Thu, 05 Aug 2010 10:48:26 GMT) Full text and rfc822 format available.

Message #8 received at 591209@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.at>
To: 591197@bugs.debian.org, 591193@bugs.debian.org, 591194@bugs.debian.org, 591195@bugs.debian.org, 591199@bugs.debian.org, 591200@bugs.debian.org, 591201@bugs.debian.org, 591203@bugs.debian.org, 591205@bugs.debian.org, 591206@bugs.debian.org, 591207@bugs.debian.org, 591208@bugs.debian.org, 591209@bugs.debian.org, 591210@bugs.debian.org, 591383@bugs.debian.org
Subject: about not building swf files from source
Date: Thu, 5 Aug 2010 12:46:43 +0200
	Hi!

 The initial message about this issue was pretty terse and I hope to
offer additional information to you through this message.

 The issue your package is facing might be divided into two groups:
Packages that have the source to the .swf file available (like in .fla
or .as form from what I understood) and packages that don't.

 For those with the source included the package is facing to be
potential moved from main to contrib. This is because packages in main
are required to only need tools that are available in main to produce
their binaries from their sources, and there unfortunately aren't such
tools in main (yet, TTBOMK). So moving them to contrib is an option to
them for keeping them as they are.

 For those without source included they have to go either to non-free
(if their license allows binary distribution without source) or they
have to get removed from the pool in case they are licensed under
something like GPL or similar which requires the source to be available,
too.

 One option available to both groups of packages is of course to remove
the flash files all together, if that's an option for your package.

 Hope this helps you for your decision on how to move on. Thanks for
your support and effort for Debian in any case!

 Enjoy!
Rhonda
-- 
"Lediglich 11 Prozent der Arbeitgeber sind der Meinung, dass jeder
Mensch auch ein Privatleben haben sollte."
        -- http://www.karriere.at/artikel/884/




Information forwarded to debian-bugs-dist@lists.debian.org, Pau Garcia i Quiles <pgquiles@elpauer.org>:
Bug#591209; Package src:witty. (Thu, 05 Aug 2010 12:18:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Pau Garcia i Quiles <pgquiles@elpauer.org>. (Thu, 05 Aug 2010 12:18:25 GMT) Full text and rfc822 format available.

Message #13 received at 591209@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Gerfried Fuchs <rhonda@debian.at>, 591193@bugs.debian.org
Cc: 591197@bugs.debian.org, 591194@bugs.debian.org, 591195@bugs.debian.org, 591199@bugs.debian.org, 591200@bugs.debian.org, 591201@bugs.debian.org, 591203@bugs.debian.org, 591205@bugs.debian.org, 591206@bugs.debian.org, 591207@bugs.debian.org, 591208@bugs.debian.org, 591209@bugs.debian.org, 591210@bugs.debian.org, 591383@bugs.debian.org
Subject: Re: Bug#591193: about not building swf files from source
Date: Thu, 5 Aug 2010 14:16:01 +0200
Hi!

* Gerfried Fuchs <rhonda@debian.at> [100805 12:46]:

> This is because packages in main are required to only need tools that
> are available in main to produce their binaries from their sources,
> and there unfortunately aren't such tools in main (yet, TTBOMK).

Citing from then #debian-ftp channel:

04:17:49 < raphael> dear ftp-masters, could you please make sure that NEW
      packages do _build_ the .swf files during the build process if they
      ship any? TIA
04:21:14 < Ganneff> would there be an easy way to check it?
04:24:59 < raphael> if they b-depend on haxe, mtasc, or swftools (if it
      gets uploaded again) they probably do
04:25:43 < dondelelcaro> probably can be a lintian check

So there seems to be three tools available.


Best Regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Pau Garcia i Quiles <pgquiles@elpauer.org>:
Bug#591209; Package src:witty. (Fri, 22 Oct 2010 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <mindboosternoori@gmail.com>:
Extra info received and forwarded to list. Copy sent to Pau Garcia i Quiles <pgquiles@elpauer.org>. (Fri, 22 Oct 2010 15:57:03 GMT) Full text and rfc822 format available.

Message #18 received at 591209@bugs.debian.org (full text, mbox):

From: Marcos Marado <mindboosternoori@gmail.com>
To: 591209@bugs.debian.org
Subject: More info
Date: Fri, 22 Oct 2010 16:56:25 +0100
The source package has 
./resources/WtSoundManager.swf
which is the result of the compilation of
./src/flash/WtSoundManager.as
, so the only thing needed is to take off the swf file, and put the 
instalation process to use haxe or mtasc to generate it...

-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, Pau Garcia i Quiles <pgquiles@elpauer.org>:
Bug#591209; Package src:witty. (Sat, 23 Oct 2010 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Pau Garcia i Quiles <pgquiles@elpauer.org>. (Sat, 23 Oct 2010 23:30:03 GMT) Full text and rfc822 format available.

Message #23 received at 591209@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 591209@bugs.debian.org, Marcos Marado <mindboosternoori@gmail.com>
Subject: Re: Bug#591209: witty: does not build swf file from source
Date: Sun, 24 Oct 2010 00:29:24 +0100
On Sun, 01 Aug 2010 at 00:34:44 -0400, Raphael Geissert wrote:
> witty ships a swf file but does not build it from source.

I have a repository at http://git.debian.org/?p=users/smcv/qa/witty.git
with some fixes for that; feel free to use them. (I'm not going to NMU or
sponsor this package myself, because I have no idea how to test it...)

Pau, I notice you've packaged version 3.1.5, but at this stage in the release
process (squeeze has been frozen since August) it's best to stick to minimal
fixes for RC bugs when uploading to unstable.

You could upload 3.1.5 to experimental in the meantime, though.

On Fri, 22 Oct 2010 at 16:56:25 +0100, Marcos Marado wrote:
> The source package has 
> ./resources/WtSoundManager.swf
> which is the result of the compilation of
> ./src/flash/WtSoundManager.as
> , so the only thing needed is to take off the swf file, and put the 
> instalation process to use haxe or mtasc to generate it...

Indeed. Using the mtasc command line mentioned in a comment in the source
produces a byte-for-byte identical .swf file, so that's easy enough:
http://git.debian.org/?p=users/smcv/qa/witty.git;a=commitdiff;h=ea4f1e06b660a068b63c28eb61bc7183fa1f0038

I also noticed that resources/swfobject.js is in a minified form which I don't
think really qualifies as source code; it's also not mentioned in
debian/copyright, which is certainly a Policy violation. It turns out to be
the result of putting the SWFObject 2.2 source file through yui-compressor,
then deleting a couple of trailing spaces, so I'd be inclined to ship the
non-minified version and put it through yui-compressor at build time:
http://git.debian.org/?p=users/smcv/qa/witty.git;a=commitdiff;h=b0d6f10a2a80285c93ecec8061d42d46a49aa283

I'm not entirely happy about that second commit, because it doesn't actually
give a copyright statement for SWFObject; I couldn't find one in
swfobject_2_2.zip or on <http://code.google.com/p/swfobject/>.
http://code.google.com/p/swfobject/wiki/history suggests that
the copyright holders probably include at least Geoff Stearns,
Bobby van der Sluis, Michael Williams, Aran Rhee, Philip Hutchison and
Kyle Simpson.

Several other Debian packages include SWFObject, so it'd probably be best in
the long term to have it packaged in its own right: I opened
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=601160 for that.

Regards,
    smcv




Added tag(s) patch. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Wed, 27 Oct 2010 11:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Pau Garcia i Quiles <pgquiles@elpauer.org>:
Bug#591209; Package src:witty. (Sun, 28 Nov 2010 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to Pau Garcia i Quiles <pgquiles@elpauer.org>. (Sun, 28 Nov 2010 11:45:03 GMT) Full text and rfc822 format available.

Message #30 received at 591209@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <didier@raboud.com>
To: 591209@bugs.debian.org
Cc: Simon McVittie <smcv@debian.org>, Marcos Marado <mindboosternoori@gmail.com>, Pau Garcia i Quiles <pgquiles@elpauer.org>
Subject: #591209: witty: removal from Squeeze asked
Date: Sun, 28 Nov 2010 12:43:53 +0100
[Message part 1 (text/plain, inline)]
Hi, 

In the light of the discussion in this RC bug (and the fact that there has been 
no answer from the maintainer since August), I asked for a removal of the witty 
package from Squeeze.

See bug #605209 for the reasoning (and if you want to argue in favor or 
against).

Cheers, 

OdyX, live from the BSP Bern.
-- 
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
didier@raboud.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#591209; Package src:witty. (Sun, 28 Nov 2010 16:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pau Garcia i Quiles <pgquiles@elpauer.org>:
Extra info received and forwarded to list. (Sun, 28 Nov 2010 16:48:06 GMT) Full text and rfc822 format available.

Message #35 received at 591209@bugs.debian.org (full text, mbox):

From: Pau Garcia i Quiles <pgquiles@elpauer.org>
To: 591209@bugs.debian.org
Cc: 605209@bugs.debian.org, didier@raboud.com, smvc@debian.org, Vincent Bernat <bernat@luffy.cx>
Subject: #591209: witty: fix available from mentors
Date: Sun, 28 Nov 2010 17:45:53 +0100
tags 591209 + fixed pending
tags 605209 + fixed pending

A patched 3.1.2-3 is available from mentors, waiting for my sponsor
(Vincent Bernat) to upload it. Please, do not remove witty from
squeeze.

-- 
Pau Garcia i Quiles
http://www.elpauer.org
(Due to my workload, I may need 10 days to answer)




Added tag(s) fixed and pending. Request was from Pau Garcia i Quiles <pgquiles@elpauer.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 16:57:10 GMT) Full text and rfc822 format available.

Reply sent to Pau Garcia i Quiles <pgquiles@elpauer.org>:
You have taken responsibility. (Mon, 29 Nov 2010 18:36:19 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Mon, 29 Nov 2010 18:36:19 GMT) Full text and rfc822 format available.

Message #42 received at 591209-close@bugs.debian.org (full text, mbox):

From: Pau Garcia i Quiles <pgquiles@elpauer.org>
To: 591209-close@bugs.debian.org
Subject: Bug#591209: fixed in witty 3.1.2-3
Date: Mon, 29 Nov 2010 18:34:35 +0000
Source: witty
Source-Version: 3.1.2-3

We believe that the bug you reported is fixed in the latest version of
witty, which is due to be installed in the Debian FTP archive:

libwt-common_3.1.2-3_all.deb
  to main/w/witty/libwt-common_3.1.2-3_all.deb
libwt-dbg_3.1.2-3_amd64.deb
  to main/w/witty/libwt-dbg_3.1.2-3_amd64.deb
libwt-dev_3.1.2-3_amd64.deb
  to main/w/witty/libwt-dev_3.1.2-3_amd64.deb
libwt-doc_3.1.2-3_all.deb
  to main/w/witty/libwt-doc_3.1.2-3_all.deb
libwt21_3.1.2-3_amd64.deb
  to main/w/witty/libwt21_3.1.2-3_amd64.deb
libwtdbo-dev_3.1.2-3_amd64.deb
  to main/w/witty/libwtdbo-dev_3.1.2-3_amd64.deb
libwtdbo3_3.1.2-3_amd64.deb
  to main/w/witty/libwtdbo3_3.1.2-3_amd64.deb
libwtdbopostgres-dev_3.1.2-3_amd64.deb
  to main/w/witty/libwtdbopostgres-dev_3.1.2-3_amd64.deb
libwtdbopostgres3_3.1.2-3_amd64.deb
  to main/w/witty/libwtdbopostgres3_3.1.2-3_amd64.deb
libwtdbosqlite-dev_3.1.2-3_amd64.deb
  to main/w/witty/libwtdbosqlite-dev_3.1.2-3_amd64.deb
libwtdbosqlite3_3.1.2-3_amd64.deb
  to main/w/witty/libwtdbosqlite3_3.1.2-3_amd64.deb
libwtext-dev_3.1.2-3_amd64.deb
  to main/w/witty/libwtext-dev_3.1.2-3_amd64.deb
libwtext14_3.1.2-3_amd64.deb
  to main/w/witty/libwtext14_3.1.2-3_amd64.deb
libwtfcgi-dev_3.1.2-3_amd64.deb
  to main/w/witty/libwtfcgi-dev_3.1.2-3_amd64.deb
libwtfcgi8_3.1.2-3_amd64.deb
  to main/w/witty/libwtfcgi8_3.1.2-3_amd64.deb
libwthttp-dev_3.1.2-3_amd64.deb
  to main/w/witty/libwthttp-dev_3.1.2-3_amd64.deb
libwthttp8_3.1.2-3_amd64.deb
  to main/w/witty/libwthttp8_3.1.2-3_amd64.deb
witty-dbg_3.1.2-3_all.deb
  to main/w/witty/witty-dbg_3.1.2-3_all.deb
witty-dev_3.1.2-3_all.deb
  to main/w/witty/witty-dev_3.1.2-3_all.deb
witty-doc_3.1.2-3_all.deb
  to main/w/witty/witty-doc_3.1.2-3_all.deb
witty_3.1.2-3.diff.gz
  to main/w/witty/witty_3.1.2-3.diff.gz
witty_3.1.2-3.dsc
  to main/w/witty/witty_3.1.2-3.dsc
witty_3.1.2-3_all.deb
  to main/w/witty/witty_3.1.2-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591209@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pau Garcia i Quiles <pgquiles@elpauer.org> (supplier of updated witty package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 28 Nov 2010 13:44:45 +0100
Source: witty
Binary: libwt-common libwt21 libwt-dev libwthttp8 libwthttp-dev libwtfcgi8 libwtfcgi-dev libwtext14 libwtext-dev libwtdbo3 libwtdbo-dev libwtdbosqlite3 libwtdbosqlite-dev libwtdbopostgres3 libwtdbopostgres-dev libwt-dbg libwt-doc witty witty-dbg witty-dev witty-doc
Architecture: source all amd64
Version: 3.1.2-3
Distribution: unstable
Urgency: low
Maintainer: Pau Garcia i Quiles <pgquiles@elpauer.org>
Changed-By: Pau Garcia i Quiles <pgquiles@elpauer.org>
Description: 
 libwt-common - C++ library and application server for web applications [common]
 libwt-dbg  - C++ library and application server for web applications [debug]
 libwt-dev  - C++ library and application server for web applications [developm
 libwt-doc  - C++ library and application server for web applications [doc]
 libwt21    - C++ library and application server for web applications [runtime]
 libwtdbo-dev - the Wt::Dbo ORM library for Wt [development]
 libwtdbo3  - the Wt::Dbo ORM library for Wt [runtime]
 libwtdbopostgres-dev - the PostgreSQL backend for Wt::Dbo [development]
 libwtdbopostgres3 - the PostgreSQL backend for Wt::Dbo [runtime]
 libwtdbosqlite-dev - the sqlite3 backend for Wt::Dbo [development]
 libwtdbosqlite3 - the sqlite3 backend for Wt::Dbo [runtime]
 libwtext-dev - additional widgets for Wt, based on ExtJS 2.0.x [development]
 libwtext14 - additional widgets for Wt, based on ExtJS 2.0.x [runtime]
 libwtfcgi-dev - the FastCGI connector library for Wt [development]
 libwtfcgi8 - the FastCGI connector library for Wt [runtime]
 libwthttp-dev - the HTTP(S) connector library for Wt [development]
 libwthttp8 - the HTTP(S) connector library for Wt [runtime]
 witty      - C++ library for webapps [runtime] (transition package)
 witty-dbg  - C++ library for webapps [debug] (transition package)
 witty-dev  - C++ library for webapps [devel] (transition package)
 witty-doc  - C++ library for webapps [doc] (transition package)
Closes: 591209
Changes: 
 witty (3.1.2-3) unstable; urgency=low
 .
   * Build resources/WtSoundManager.swf from the provided source code
     src/flash/WtSoundManager.as, using the mtasc command line suggested
     in the source code. Thanks to Simon McVittie for
     reporting. (Closes: #591209)
   * Provide the source code for SWFObject 2.2 in
     debian/dfsg-compliance/swfobject-2.2.js, and build resources/swfobject.js
     by compressing that with yui-compressor
   * Update standards to 3.9.1.0 (no change required)
Checksums-Sha1: 
 6d52ed14673f5e8d215607854402607aee5ccf9f 1682 witty_3.1.2-3.dsc
 56816b743a0cd7426a4fccad314120ca40921d22 21897 witty_3.1.2-3.diff.gz
 94de408a719b7c07a45c9e7f5a3edd213830cc67 44870 libwt-common_3.1.2-3_all.deb
 fa491bef8c5f5b4c706358868a3922686370cc8d 1481968 libwt21_3.1.2-3_amd64.deb
 8245a4a1399ef36b98f218396f82d0d24447ffc3 3162514 libwt-dev_3.1.2-3_amd64.deb
 0ee000296345c599fdf250247fd36e2f852e1239 322696 libwthttp8_3.1.2-3_amd64.deb
 d6e782f566a0adcac5ce3c366436dfd549b3c0fb 624144 libwthttp-dev_3.1.2-3_amd64.deb
 a4594b647848b85fb2bda460f72c63fc93dd6e38 123766 libwtfcgi8_3.1.2-3_amd64.deb
 0cc6241a28d586b8f4c9d7d38ea3246335185de3 131834 libwtfcgi-dev_3.1.2-3_amd64.deb
 83c8acaefa4e5c73bc7500d9436698efe58d0f08 281432 libwtext14_3.1.2-3_amd64.deb
 a50461d36fb5937f592bb72e70815b64ee446745 625868 libwtext-dev_3.1.2-3_amd64.deb
 01863c4fc575c71e46577b428c0342a2f4a547e1 83268 libwtdbo3_3.1.2-3_amd64.deb
 452ac91a9f7546630a6490ae921d6a87caf4a299 133266 libwtdbo-dev_3.1.2-3_amd64.deb
 39f050b0e071aa6d09fb71c62763152dd9e9c515 72350 libwtdbosqlite3_3.1.2-3_amd64.deb
 b608ac0382cfcf2697ddd2e133ccdfdf405a6bb7 74024 libwtdbosqlite-dev_3.1.2-3_amd64.deb
 913202cc2d75551a79fd6736d82eeed7edbf72ba 75702 libwtdbopostgres3_3.1.2-3_amd64.deb
 da1f9a510085d9e092fa4eeb7f9b9f421be8f58c 77672 libwtdbopostgres-dev_3.1.2-3_amd64.deb
 93bd897b93a244389959e866ffcb6e611e830231 17316736 libwt-dbg_3.1.2-3_amd64.deb
 ad4a32cdf6cf5b4dab043a4fa083a45557cc0d9c 11252864 libwt-doc_3.1.2-3_all.deb
 cabba09dc83a26c602b494a6daf951c1523a9b70 38488 witty_3.1.2-3_all.deb
 d6f43a77554a802b6f0fa4076d2f9d3be2661c5e 38504 witty-dbg_3.1.2-3_all.deb
 a79d07040e19e2b5c28740ed7874085152635558 38516 witty-dev_3.1.2-3_all.deb
 81fcf45bacc0075c0cfb3d375b912f6830d051f0 38494 witty-doc_3.1.2-3_all.deb
Checksums-Sha256: 
 79a4a04fd52d18d2e91801cb64972cb3b0d92536ac37095f0fa5878e5f61c0f2 1682 witty_3.1.2-3.dsc
 9bff873b58e50bbc00a1fdb87777a8589701e271425cc205fe0a8ca4e7e8cfff 21897 witty_3.1.2-3.diff.gz
 7255835f6470c909faabf55c5b63c2c5b5d44cd9f36e9c3a1029fb43e3ef79eb 44870 libwt-common_3.1.2-3_all.deb
 6678ced1065d07f0b14df717b5439ac6df728553c9326042bf1c6d7f02074cd5 1481968 libwt21_3.1.2-3_amd64.deb
 61b971f8526a0c3ca61edfd103ec54db161c9752d5f4494f24f3680de65b1bd2 3162514 libwt-dev_3.1.2-3_amd64.deb
 b7046863d8d17e1efc67ee465ce05a50dffaf0748d3a6e14c33ca32a9e0ca40d 322696 libwthttp8_3.1.2-3_amd64.deb
 09f6858c6d4eca95d4cf5e094b4bcc08cf5b1afa8f8d646dc3625ae7d7344b3b 624144 libwthttp-dev_3.1.2-3_amd64.deb
 23bf7287e24d3410b6261d93fb2d8733021beb6ae9af504f4fc99605d166c8f4 123766 libwtfcgi8_3.1.2-3_amd64.deb
 03273819b5c2cb056ad5e4b0906e075083ae261c15d2600e251641f9f4fd7f71 131834 libwtfcgi-dev_3.1.2-3_amd64.deb
 eab3be190329357dba71d0f8dfe28951251f3b896e92496cc67cfd2ead5298c0 281432 libwtext14_3.1.2-3_amd64.deb
 947620f0e3b18b869ccfcd85be630d1f974d23a4c80b0c85b5b5bc40e9c7f3e7 625868 libwtext-dev_3.1.2-3_amd64.deb
 aafb47eae8ad62aedcb8e44c3b7c00b57a21c11557029bdea235fb89c79370fd 83268 libwtdbo3_3.1.2-3_amd64.deb
 21b907c9e0bce23f927c31e403ab7a99ac082b70a8fdf75e84084e684e059c28 133266 libwtdbo-dev_3.1.2-3_amd64.deb
 56f5852cf0527523fdc67878ae3655de7b5961f64c2e10b6fc95b026b120c220 72350 libwtdbosqlite3_3.1.2-3_amd64.deb
 54a26b171221e986237b463459e10f5c6e76cf9e4298c347f2befae049453443 74024 libwtdbosqlite-dev_3.1.2-3_amd64.deb
 4256d08712ae660b2f3eacd99a8786782ca4d1497cd519b243f0e9de7690142f 75702 libwtdbopostgres3_3.1.2-3_amd64.deb
 2f1d5b5deee4caaaf9942f5597bbbee48333ecfb89886c7ef442397b1f3f1e9f 77672 libwtdbopostgres-dev_3.1.2-3_amd64.deb
 7d7aeedfffa0d1d4a8df510339a1dbf934a13892d0b0fc77d68464c6eb9351da 17316736 libwt-dbg_3.1.2-3_amd64.deb
 838aa0f706cb1e73107f07b21088906f7a051fc3d29ded94058a5297a950d7fa 11252864 libwt-doc_3.1.2-3_all.deb
 bd025fa42512f04d49ee6463d04050fb575388bbb6193e1a0011a71f994c81ad 38488 witty_3.1.2-3_all.deb
 1c19a3f7a39f7678830747fd5df2d08b77ec603ce89accab613cb2a0f451ea44 38504 witty-dbg_3.1.2-3_all.deb
 68fecfe91e53d09320b8f38a11a49745770f5cca10c0c1881317e60af5fc6159 38516 witty-dev_3.1.2-3_all.deb
 029878565ed3d3aede2e52f43fc1cc94b64afdfa4a49e26da6ef6fbb63e60aff 38494 witty-doc_3.1.2-3_all.deb
Files: 
 441506c6e286ce4161341390c0036744 1682 libdevel extra witty_3.1.2-3.dsc
 0fcd857a5402b2c6e871e563acf409ba 21897 libdevel extra witty_3.1.2-3.diff.gz
 99d4c1911c23d623f5f692c741157159 44870 libdevel extra libwt-common_3.1.2-3_all.deb
 6232759d756cddda9d0a6a488a9becc3 1481968 libdevel extra libwt21_3.1.2-3_amd64.deb
 a50f4a97dfd8f20d3af76aebb3e2b837 3162514 libdevel extra libwt-dev_3.1.2-3_amd64.deb
 ee3e85037d64386f45f41e2aa6e60178 322696 libdevel extra libwthttp8_3.1.2-3_amd64.deb
 514028b91634f8ec03901fd5acac59eb 624144 libdevel extra libwthttp-dev_3.1.2-3_amd64.deb
 8787e98ccdcc2679b99a6d42bb270afe 123766 libdevel extra libwtfcgi8_3.1.2-3_amd64.deb
 c6b14f824930f30ae4f7573ae8a826b1 131834 libdevel extra libwtfcgi-dev_3.1.2-3_amd64.deb
 8f1667da8c9d5559cfb64f3400ded786 281432 libdevel extra libwtext14_3.1.2-3_amd64.deb
 f5ab23c02b77017942592e298c540a66 625868 libdevel extra libwtext-dev_3.1.2-3_amd64.deb
 118c663505c450cbe4bccbcd1aca95f0 83268 libdevel extra libwtdbo3_3.1.2-3_amd64.deb
 2e318389d120b6947b1b009b44a061d6 133266 libdevel extra libwtdbo-dev_3.1.2-3_amd64.deb
 f8492093240f9bb67744ae6adeaa3ed1 72350 libdevel extra libwtdbosqlite3_3.1.2-3_amd64.deb
 cc32305fa0ef4db36ac45bbb64f29de5 74024 libdevel extra libwtdbosqlite-dev_3.1.2-3_amd64.deb
 0b3677c4ac6500a6ac7c1bf9472f8a88 75702 libdevel extra libwtdbopostgres3_3.1.2-3_amd64.deb
 2f4407a3e2588940bedba845add45758 77672 libdevel extra libwtdbopostgres-dev_3.1.2-3_amd64.deb
 d7f28d7f89fcb39a5da4a78fd97a6784 17316736 debug extra libwt-dbg_3.1.2-3_amd64.deb
 a888e176e1ffda4fc643555d504ec0a1 11252864 doc extra libwt-doc_3.1.2-3_all.deb
 635553d1b196d790c4eed6f941349445 38488 libdevel extra witty_3.1.2-3_all.deb
 0b1063508a65cee887ef448e847ab5c9 38504 debug extra witty-dbg_3.1.2-3_all.deb
 12aea8d3e5db36c82072ce9302ccba31 38516 libdevel extra witty-dev_3.1.2-3_all.deb
 0bb1fa04f00e100c75a030f4342797de 38494 doc extra witty-doc_3.1.2-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzz7xgACgkQKFvXofIqeU7LnwCdHqI0IALyHnM5WByvy22GDarm
w2cAn1Fpy2YsydkGEIm2ZUvQpocsidwK
=5LsP
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Pau Garcia i Quiles <pgquiles@elpauer.org>:
Bug#591209; Package src:witty. (Mon, 29 Nov 2010 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Pau Garcia i Quiles <pgquiles@elpauer.org>. (Mon, 29 Nov 2010 19:48:03 GMT) Full text and rfc822 format available.

Message #47 received at 591209@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Pau Garcia i Quiles <pgquiles@elpauer.org>, 605209-done@bugs.debian.org
Cc: 591209@bugs.debian.org, didier@raboud.com, smvc@debian.org, Vincent Bernat <bernat@luffy.cx>
Subject: Re: Bug#605209: #591209: witty: fix available from mentors
Date: Mon, 29 Nov 2010 19:44:20 +0000
On Sun, 2010-11-28 at 17:45 +0100, Pau Garcia i Quiles wrote:
> tags 591209 + fixed pending
> tags 605209 + fixed pending
> 
> A patched 3.1.2-3 is available from mentors, waiting for my sponsor
> (Vincent Bernat) to upload it. Please, do not remove witty from
> squeeze.

I've just unblocked witty 3.1.2-3 and am therefore marking the removal
bug as closed.

Regards,

Adam





Message #48 received at 591209-done@bugs.debian.org (full text, mbox):

From: Pau Garcia i Quiles <pgquiles@elpauer.org>
To: 591209-done@bugs.debian.org
Date: Tue, 28 Dec 2010 13:12:59 +0100
fixed 591209 3.1.2-3




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Jan 2011 07:31:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:33:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.